<?php



class FirstDataPaymentPaymentModuleFrontController extends ModuleFrontController
{
	public $ssl = true;

	
	
	public function __construct()
	{
		parent::__construct();
		$this->display_column_left = false;
		$this->display_column_right = false;
	}

	
	
	public function initContent()
	{
		parent::initContent();

		$currency = new Currency($this->context->cart->id_currency);		
		$this->context->smarty->assign(array(
			'nbProducts' => $this->context->cart->nbProducts(),
			'total' => $this->context->cart->getOrderTotal(true, Cart::BOTH),
			'curr' => $currency->iso_code,
			'this_path' => $this->module->getPathUri(),
			'this_path_bw' => $this->module->getPathUri(),
			'this_path_ssl' => Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/'
		));
		
		$ps16 = strpos(_PS_VERSION_, '1.6') === 0;
		
		$properCurrency = $this->module->checkCurrency();
		if($properCurrency)
		{
			if($ps16) $this->setTemplate('payment_execution16.tpl');
			else $this->setTemplate('module:firstdatapayment/views/templates/front/payment_execution17.tpl');
		}
		else
		{
			$curriencies = array();
			foreach($this->module->avaliableCurrencies as $iso)
			{
				$id_currency = Currency::getIdByIsoCode($iso, (int)$this->context->shop->id);
				$curriencies[] = new Currency($id_currency);
			}
		
			$this->context->smarty->assign(array(
				'availableCurrencies' => $curriencies,
			));
			
			if($ps16) $this->setTemplate('change_currency.tpl');
			else $this->setTemplate('module:firstdatapayment/views/templates/front/change_currency.tpl');
		}
	}
	
	
}
